Subject: The Purpose of WG participants Review (was Re: Purpose of IESG Review)

From: Abdussalam Baryun <[email-masked]>
Date: Fri, 12 Apr 2013 20:58:54 +0100

I just change the subject because I still beleive the problem with review
is in the WG not IESG. Some WGs have few reviews on each WG document, that
may not be bad, but I think having only one review or comment (excluding
authors) within a WGLC is wrong in a WG review process. I think WG chair
can find two participants to do it.

I recommend WG's process to change their purpose so we have to get *two
participants* which are not authors to review the work and comment within
WGLC (even small text comment is ok). I recommend WG chairs to think about
this proposal, if not then I will try write an I-D for this and communicate
with community.

AB

On Fri, Apr 12, 2013 at 8:24 PM, Abdussalam Baryun <
[email-masked]> wrote:

> How can a memebr of staff in a company argue with the manager about the
> manager's decisions or performance? Only Owners/shareholders can question
> managers and staff. IMO, the meeting/list discussions on any issue
> without an I-D written is the staff talking/working.
>
> If you write an I-D and to update the procedure related to the subject,
> you should consider many issues and I think will need many years of
> discussions, but then better effort result. IMHO, writing an I-D and
> getting back up by community discussion (with rough consensus) is in the
> top level and is the owner talking.
>
> I hope that when I review and comment on an I-D, it should be considered
> as one owner is talking, but seems like editors think they are the only
> owners. When IESG comment on the I-D it is managers/excutives talking. All
> parts are important to the best of output.
>
> AB
>
>
> On Fri, Apr 12, 2013 at 10:33 AM, Abdussalam Baryun <
> [email-masked]> wrote:
>
>> Reply to below message
>> The subject SHOULD be: Evaluating Review Process Performance
>> I prefer the Subject is: Evaluating WG input, the WG review process,
>> and the WG output, NOT IESG review.
>>
>> ------------------------------------------------------------------------------------------------
>>
>> Hi Joe,
>>
>> My comments mostly is on your message, but I comment also on I-Ds or
>> RFCs related to IETF (including joky RFCs).
>>
>> I don't think it is write to evaluate the review of an IESG as long as
>> when we created the I-D and adopted it into IETF SYSTEM, it is already
>> agreeing on the methods of process that I-D is going through. So the
>> problem is to evaluate three things not one: 1) the input, 2) the
>> process review, 3) the output.
>>
>> We may make different input methods that go to another body than IESG,
>> but if you decided to make I-D under IETF current procedure, it will
>> have to go to IESG.
>>
>> I think the IESG are doing an excellent job, but it is best them to
>> evaluate their performance not the community. Or it is better to find
>> a body that evaluates the IESG performance not on this list.
>>
>> I consider your input on the list as a complain about the process, so
>> I ask you to notice that your input has an error that needs evaluation
>> befor going to process evaluation. You may evaluate output, but I
>> remind you to evaluate input of WGs and inputs of individuals.
>>
>> I think the BIG problem of delay in I-Ds or RFC, is the cause of the
>> WG not the IESG, if you do an excellent WG processes you will get
>> quick results at IESG.
>>
>> AB
>> +++++++++++++
>> Hi, all,
>>
>>
>> As an author who has had (and has) multiple documents in IESG review,
>> I've noticed an increasing trend of this step to go beyond (IMO) its
>> documented and original intent (BCP 9, currently RFC 2026):
>>    The IESG shall determine whether or not a specification submitted to
>>    it according to section 6.1.1 satisfies the applicable criteria for
>>    the recommended action (see sections 4.1 and 4.2), and shall in
>>    addition determine whether or not the technical quality and clarity
>>    of the specification is consistent with that expected for the
>>    maturity level to which the specification is recommended.
>>
>>
>> Although I appreciate that IESG members are often overloaded, and the
>> IESG Review step is often the first time many see these documents, I
>> believe they should be expected to more clearly differentiate their
>> "IESG Review" (based on the above criteria) - and its accompanying
>> Position ballot, with their personal review.
>>
>> My concern is that by conflating their IESG position with their
>> personal review, the document process is inappropriately delayed and
>> that documents are modified to appease a small community that does not
>> justify its position as representative.
>> How do others feel about this?
>>
>> Joe
>>
>
>

---

From: Arturo Servin <[email-masked]>
Date: Fri, 12 Apr 2013 17:34:40 -0300

On 4/12/13 4:58 PM, Abdussalam Baryun wrote:
> I just change the subject because I still beleive the problem with
> review is in the WG not IESG. Some WGs have few reviews on each WG
> document, that may not be bad, but I think having only one review or
> comment (excluding authors) within a WGLC is wrong in a WG review
> process. I think WG chair can find two participants to do it.

	It seems plausible.

> participants* which are not authors to review the work and comment
> within WGLC (even small text comment is ok). I recommend WG chairs to
> think about this proposal, if not then I will try write an I-D for this
> and communicate with community.

	Possible we would need any how an I+D to change the process and mandate
this new review.

	I haven't made my mind but it seems like a good idea.

> AB

Regards
as

---

From: Abdussalam Baryun <[email-masked]>
Date: Sat, 13 Apr 2013 08:37:23 +0200

Hi Arturo, and all,
(sorry that this message is long but I want to make this my last post
on the subject)

The reason of this message/subject is that I want to avoid some group
working together to achieve their purpose (while they may be fogetting
the IETF purpose) within a WG. If I am a company and interested to
publish a standard in IETF, I may think to find interest in my market
place (i.e. interest usually in my local country or city which depends
on relations), when that is gained then the purpose is to publish it
in IETF while there already gauranteed sort of back up in that
country/city. I name that a *group purpose* not the *WG purpose*.
Group purpose is good but may lack technical experience, which needs
following WG purpose.

Any group (usually authors+ WhoInterestedToPublish) needs to convence
the WG by technical discussions. Consensus and running code, may work
for the group purpose more than the WG purpose if the WG are not
reactive to inputs. I recommend that WG chairs are already aware of
this and try to find independent reviewers from the WG to put some
effort before it is submitted to the IESG. Usually WG participants are
bussy and may not be interested to argue with a group (one reviewer
may get many replies with arguments that he/she has no much time to
DISCUSS, or reply).

 That is why the IESG's DISCUSS position is strong and important to
make the group answer to purpose, and that position is weak in WGs.
Groups always don't like delays in process, but WGs don't like
changing their IETF purpose or their IETF vision. I recommend that WG
chairs try to do their best to have two independent WG participants to
review (not authors and not from the same company of authors or same
state/city).

If you send me a reply I will reply privately so I don't disturb,
because the subject may not be important for others, thanking you,

AB

We need diversity :-)
-------------------------------

---

From: Klaas Wierenga <[email-masked]>
Date: Mon, 15 Apr 2013 09:54:46 +0200

> 
> On Fri, Apr 12, 2013 at 8:24 PM, Abdussalam Baryun <[email-masked]> wrote:
> How can a memebr of staff in a company argue with the manager about the manager's decisions or performance? Only Owners/shareholders can question managers and staff. IMO, the meeting/list discussions on any issue without an I-D written is the staff talking/working.

??? Not in the country I live in or the company I work for. It is IMO the *obligation* of a professional to call his manager on wrong decisions or performance. I think you have a strange view on IETF leadership, I for one, as a chair of a WG regard myself as the *servant* of the WG rather than the *boss*. We decide based on consensus, not on hierarchy.

Klaas

---

From: [email-masked] (Dale R. Worley)
Date: Tue, 16 Apr 2013 11:51:34 -0400 (EDT)

> > How can a memebr of staff in a company argue with the manager
> > about the manager's decisions or performance?
> 
> It is IMO the *obligation* of a professional to call his manager on
> wrong decisions or performance.

I've advocated the equivalent of the following opinion before
(http://www.ietf.org/mail-archive/web/ietf/current/msg77479.html), but
in the current context it bears repeating:  Here in the IETF we accept
that low-status people may argue regarding technical matters, but
reserve for high-status people having opinions about our procedures.

Dale

---

From: Ted Lemon <[email-masked]>
Date: Tue, 16 Apr 2013 17:49:23 +0000

> reserve for high-status people having opinions about our procedures.

I thought your original message (the one you cite above) was very good, but I'm not sure I like the terms "low-status" and "high-status," simply because tey could be easily taken to mean something other than what I think you intend them to mean.

---

From: [email-masked] (Dale R. Worley)
Date: Wed, 17 Apr 2013 16:38:22 -0400 (EDT)

> From: Ted Lemon <[email-masked]>
> 
> I thought your original message (the one you cite above) was very
> good, but I'm not sure I like the terms "low-status" and
> "high-status," simply because tey could be easily taken to mean
> something other than what I think you intend them to mean.

We do have a status system within the IETF and generally one gains
status within that system by recognized technical work.  And on
certain sorts of issues, particularly changes in processes, we don't
listen well to people who don't have high status within that system.
In that regard, the IETF is far from egalitarian.

In regard to diversity issues, it is important to ask whether position
in the status system is directly affected by factors other than just
technical contribution.

Probably more important for diversity issues is that factors in a
person's life other than their outright technical ability can strongly
affect their ability to contribute to our technical work, and thus
achieve the status needed to be influential.

A more subtle problem is whether technical contribution correlates
well the skills needed for leadership positions -- does being a
quality technical contributor demonstrate the skills needed to be an
effective IAB member?  Although given the discussion around "IESG
review", it seems that the reward for gaining the leadership position
of IESG membership is becoming an extremely busy technical reviewer of
standards...

Dale

---

From: <[email-masked]>
Date: Thu, 18 Apr 2013 09:31:19 +0100

Not sure about the recognition for technical work.

To progress technical work, you have to go to meetings. To progress in the IETF (chair, AD, IESG) you have to go to meetings.

Keep turning up and don't be too obviously completely abysmal technically, and you can get a status dot on your badge.

The IETF is run by goers, and goers like goers.

Lloyd Wood
http://sat-net.com/L.Wood/

________________________________________
From: [email-masked] [[email-masked]] On Behalf Of Dale R. Worley [[email-masked]]
Sent: 17 April 2013 21:38
To: [email-masked]
Subject: Re: The Purpose of WG participants Review (was Re: Purpose of IESG     Review)

Dale

---

From: Yoav Nir <[email-masked]>
Date: Thu, 18 Apr 2013 09:02:19 +0000

Not entirely true.

It is true that getting "management positions" (chairs, AD, NomCom) requires meeting attendance. But a non-attender can get recognition for quality technical points, and can even progress technical work. RFC 4478 was published long before I attended my first meeting. My own working group (WebSec) has document authors who never attend meetings. In other areas there are frequent and prolific contributors, who either never attended a meeting or have quit attending them years ago. Even the directorates have such people.

So no, you probably can't get a dot for your badge without actually having one, but you can become "prominent" in the sense that people might say "this document hasn't had enough review. Let's ask so-and-so to read it", or "I'm putting together a design team for foo. Let's see if we can get so-and-so to join"

Yoav

On Apr 18, 2013, at 11:31 AM, [email-masked] wrote:

> Email secured by Check Point

---

From: <[email-masked]>
Date: Thu, 18 Apr 2013 11:12:16 +0100

I've written RFCs without attending meetings; easy to do if the work is a aligned with a workgroup.

That's fine if you're happy to be a technical resource with skills to be drawn upon for problems set by others.

However, if you're sufficiently technical that you can set new technical directions that are outside the scope of existing wgs -- well, the political enters the technical, and you need to fake being a goer to build interest and support for the direction, eg by holding a bof. Many existing "managers" have run wgs, but have they even attempted to establish new technical directions? If not, they're just bureaucrats. Safe pairs of hands. And probably not that technical.

Lloyd Wood

________________________________________
From: Yoav Nir [[email-masked]]
Sent: 18 April 2013 10:02
To: Wood L  Dr (Electronic Eng)
Cc: <[email-masked]>; <[email-masked]>
Subject: Re: The Purpose of WG participants Review (was Re: Purpose of IESG     Review)

Not entirely true.

Yoav

---

From: Yoav Nir <[email-masked]>
Date: Thu, 18 Apr 2013 14:18:04 +0000

Looking in Jari's statistics site, you have three RFCs. One of those has several co-authors that I recognize as current "goers". You also have a current draft with several co-authors, but I have no idea whether they're "goers" or not. Anyway, you are not a hermit. Through the RFCs and drafts that you have co-authored, you know people who do attend.

You anyway can't get a really new technical direction all by yourself. You always need to form a group, whether that group is a "bar BoF" or a formal IETF mailing list, or whatever. I don't think you can get a new thing into the IETF without a group of 4-7 people, regardless of whether you attend the meeting. The only advantage in attending is that it makes it easy to socialize your idea and "assemble the avengers", but I've seen it done outside a meeting. As long as you have a "goer" in your team, you can move things forward.

Yes, I attend because I think that makes me more effective. If for any reason I were no longer able to attend, I think I would still participate meaningfully. 

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Thursday, April 18, 2013 1:12 PM
To: Yoav Nir
Cc: [email-masked]; [email-masked]
Subject: RE: The Purpose of WG participants Review (was Re: Purpose of IESG Review)

Lloyd Wood

Not entirely true.

Yoav

On Apr 18, 2013, at 11:31 AM, [email-masked] wrote:

>>> (http://www.ietf.org/mail-archive/web/ietf/current/msg77479.html), 
>>> but in the current context it bears repeating:  Here in the IETF we 
>>> accept that low-status people may argue regarding technical matters, 
>>> but reserve for high-status people having opinions about our procedures.
>>

---

From: Ted Lemon <[email-masked]>
Date: Thu, 18 Apr 2013 14:32:34 +0000

On Apr 18, 2013, at 5:02 AM, Yoav Nir <[email-masked]> wrote:
> but you can become "prominent" in the sense that people might say "this document hasn't had enough review. Let's ask so-and-so to read it"

Yes, it's worth noting that working group chairs are often desperate for people about whom they can say this, so whether you attend in person or not, if you are active on the mailing list and give good reviews and do good work, you will get asked for this kind of help, and that does mean that you have high status.

I agree with Lloyd's criticism that you can't get everything this way, though, because we don't give off-site non-attendees an easy turn at the mic.   We do try, but it's not the same if you aren't there in person.

---

From: <[email-masked]>
Date: Fri, 19 Apr 2013 09:23:45 +0100

and the point of your ad-hominem argument is what, exactly?

Lloyd Wood
http://sat-net.com/L.Wood/publications/internet-drafts

Sent: 18 April 2013 15:18

---

From: Yoav Nir <[email-masked]>
Date: Fri, 19 Apr 2013 09:02:20 +0000

Only that you know enough people so that you could push a new technology even without attending, although you would need to collaborate with some people who do go. But pushing a new technology requires team building anyway.

The same should apply to other non-attenders who have gained some reputation.

---

From: <[email-masked]>
Date: Mon, 22 Apr 2013 13:12:31 +0100

And the technology that my team is pushing would be Saratoga:
http://saratoga.sf.net
which has interoperable implementations that can do 50Mbps in perl, a decade of operational experience in its application domain, and mature drafts.

But this is in the transport area, and TSV has somewhat limited resources, so it's outside the span of attention from a wg. But still worth documenting as experimental.

Lloyd Wood

Sent: 19 April 2013 10:02

---

From: Yoav Nir <[email-masked]>
Date: Mon, 22 Apr 2013 15:15:29 +0000

Well, there isn't a delay tolerant networks working group, but the IRTF has a DTNRG ( http://irtf.org/dtnrg ).

At least one of the chairs is a "goer". If you really wanted to standardize this, wouldn't you be able to find 1-2 people on the DTNRG list who would be willing to "do the BoF thing"?

I'm not saying this is definitely what you should do. There are plenty of reasons to bring something to the IETF and to not bring it. I'm only saying that it is possible.

Yoav

---

From: Joe Touch <[email-masked]>
Date: Mon, 22 Apr 2013 10:26:01 -0700

On 4/19/2013 2:02 AM, Yoav Nir wrote:
> Only that you know enough people so that you could push a new technology even without attending,

IETF work officially happens on IETF lists, not at in-person meetings.

As per the Tao of the IETF: "Any decision made at a face-to-face meeting 
must also gain consensus on the WG mailing list."

Team-building is also useful, but not necessary, and also can happen 
off-list and at other non-IETF meetings.

Joe

---

From: <[email-masked]>
Date: Mon, 22 Apr 2013 20:53:42 +0100

Yoav,

Yes, Saratoga started as a draft in the DTNRG (draft-wood-tsvwg-saratoga). We carried the first bundles from space in 2008, and used our experience to analyse failings in the bundle protocol. (See our "A bundle of problems" paper.)

Unfortunately, DTNRG wasn't chartered to do DTN research. It was chartered to do only development of the bundle protocol as the one true solution to DTNs, whick it wasn't.

In any case, IRTF groups can't standardise anything, just produce experimental RFCs  (though CCSDS was pushing for standardising bundling for itself last I looked.)

Lloyd Wood
http://sat-net.com/L.Wood/dtn

Sent: 22 April 2013 16:15

Yoav